##################################################################################
# ファイル名：system_config.pm
# 機能：
# システム用設定ファイル
# 
# 改訂履歴：
# 1.0.0 ：新規作成      2007/11/10
# 1.0.1 ：追加　変数$::histry_file_pathの追加　2010/6/4
##################################################################################

#---------------------------------------
# DB関連
#---------------------------------------
# DB名
$::dbname  = "item:localhost";

# ユーザ名(ex. medals)
$::dbuser  = "*******"; 

# パスワード(ex. hal2001)
$::dbpass  = "*******";

# データベースポート(ex. 3309;mysql_socket=/tmp/mysqld-4.1.22.sock)
$::dbport  = '********';



#---------------------------------------
# HTML関連
#---------------------------------------
# ログインユーザ名
$::login_usr = $ENV{'REMOTE_USER'};


# CSS格納ディレクトリ
$::dir_css      = "./css";

# javascript格納ディレクトリ
$::dir_js       = "./js";

# イメージファイルディレクトリ
$::dir_img      = "./img";

# テンプレート格納ディレクトリ
$::dir_template = "./template";

# バックナンバー格納ディレクトリ（最後のスラッシュなし）
$::dir_histry = "/var/detect/gpmanager/mirror_site";

# バックナンバーのリンク先
$::histry_url = "http://*****/gpmanager/mirror_site";

# 更新履歴URLへのパスが記載されたファイルのファイル名
$::histry_file_path = "link.txt";

#---------------------------------------
# 出力メッセージ関連
#---------------------------------------
# ＤＢアップデート完了後メッセージ
$::msg_update_finish = "登録完了しました。";

# ＤＢ登録エラーメッセージ
$::msg_db_error1 = "データ登録に失敗しました。";

# ＤＢ登録済みデータのインサート、アップデートのメッセージ
$::msg_same_data = "すでに登録済みです。";

# DB削除完了後メッセージ
$::msg_delete_finish = "削除が完了しました。";

# ＤＢ削除エラーメッセージ
$::msg_db_error2 = "データ削除に失敗しました。";

# アイテムグループ削除ＯＫ/ＮＧを求めるメッセージ
$::msg_delete_ok1 = "を削除して良いですか?";
$::msg_delete_ok2 = "アイテムテーブルにデータが存在します。";

# tbl_category_code未設定時に更新履歴を検索した場合のエラーメッセージ
$::msg_category_error = "カテゴリーテーブルにデータが設定されていません";

# 更新履歴が見つからなかった場合のエラーメッセージ
$::msg_history_not_found = "更新履歴が見つかりませんでした";

# リファラー
$::referer      = "http://****/gpmanager/";
$::referer_full = "http://****/gpmanager/index.cgi";
